<?php

namespace Planaday\Entities\Booking\Form\Address;

use Planaday\Config\OptionGroupEnum;
use Planaday\Entities\Booking\Form\BookingFormSettingsEnum;

enum AddressSettingsEnum: string implements OptionGroupEnum {
	case AskHouseNumberExtension = "askHouseNumberExtension";
	case AskCountry = "askCountry";

	public static function getClassName(): string {
		return AddressSettings::class;
	}

	public static function getParentEnum(): ?OptionGroupEnum {
		return BookingFormSettingsEnum::Address;
	}
}